## libcloudproviders 0.2.5

=== meson_options.txt ===
option('enable-gtk-doc', type: 'boolean', value: false)
option('installed-tests', type: 'boolean', value: false)

=== debian/changelog ===
libcloudproviders (0.2.5-1) unstable; urgency=medium

  * Initial release (Closes: #880897)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Nov 2017 16:38:46 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libcloudproviders
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10.3~),
               gnome-pkg-tools,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.52.0),
               meson (>= 0.40.0),
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libcloudproviders.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libcloudproviders.git/

Package: libcloudproviders0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: cloud provider library
 libcloudproviders is a glib based library that makes it easier to implement
 a cloud provider server or client.
 .
 libcloudproviders also provides a DBus API that allows cloud storage sync
 clients to expose their services. Clients such as file managers and desktop
 environments can then provide integrated access to the cloud providers
 services.

Package: libcloudproviders-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libcloudproviders0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
Suggests: libcloudproviders-doc
Description: cloud provider library - development files
 libcloudproviders is a glib based library that makes it easier to implement
 a cloud provider server or client.
 .
 libcloudproviders also provides a DBus API that allows cloud storage sync
 clients to expose their services. Clients such as file managers and desktop
 environments can then provide integrated access to the cloud providers
 services.
 .
 This package contains the development files.

Package: libcloudproviders-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: cloud provider library - documentation
 libcloudproviders is a glib based library that makes it easier to implement
 a cloud provider server or client.
 .
 libcloudproviders also provides a DBus API that allows cloud storage sync
 clients to expose their services. Clients such as file managers and desktop
 environments can then provide integrated access to the cloud providers
 services.
 .
 This package contains the API reference.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -Denable-gtk-doc=true

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_missing:
	dh_missing --fail-missing

## libcloudproviders 0.3.0

=== debian/changelog ===
libcloudproviders (0.3.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Sep 2019 07:15:47 -0400

libcloudproviders (0.3.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Cherry-pick 3 patches to fix build issues
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

  [ Corentin Noël ]
  * Enable GObject introspection and VAPI generation

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 10:03:50 -0400

libcloudproviders (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.42.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 Jan 2019 00:13:37 -0500

libcloudproviders (0.2.5-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add -Wl,-O1 -Wl,-z,defs to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:40:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libcloudproviders
@@ -7,14 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10.3~),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools,
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.52.0),
-               meson (>= 0.40.0),
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libcloudproviders.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libcloudproviders.git/
+               meson (>= 0.42.0),
+               valac
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/libcloudproviders
+Vcs-Git: https://salsa.debian.org/gnome-team/libcloudproviders.git
 
 Package: libcloudproviders0
 Architecture: any
@@ -30,11 +33,29 @@
  environments can then provide integrated access to the cloud providers
  services.
 
+Package: gir1.2-cloudproviders-0.3.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends}, ${misc:Depends}
+Description: cloud provider library - introspection data
+ libcloudproviders is a glib based library that makes it easier to implement
+ a cloud provider server or client.
+ .
+ libcloudproviders also provides a DBus API that allows cloud storage sync
+ clients to expose their services. Clients such as file managers and desktop
+ environments can then provide integrated access to the cloud providers
+ services.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
 Package: libcloudproviders-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-cloudproviders-0.3.0 (= ${binary:Version}),
+         ${misc:Depends},
          libcloudproviders0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52.0),
 Suggests: libcloudproviders-doc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Denable-gtk-doc=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://gitlab.gnome.org/External/@PACKAGE@/tags \
	.*/@PACKAGE@@ANY_VERSION@\.tar\.xz

## libcloudproviders 0.3.1

=== debian/changelog ===
libcloudproviders (0.3.1-2) unstable; urgency=medium

  * debian/watch: update download location
  * Drop unneeded Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 21:08:20 -0400

libcloudproviders (0.3.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/watch: Update to match new repository URI
  * debian/copyright: Update upstream URI
  * debian/patches: Drop, all applied upstream
  * debian: Use dh 13 features
  * debian/control: Add versioned provides for gir1.2-cloudproviders-0.3

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 19 Jul 2021 16:40:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
@@ -34,6 +34,7 @@
  services.
 
 Package: gir1.2-cloudproviders-0.3.0
+Provides: gir1.2-cloudproviders-0.3 (= ${binary:Version}),
 Section: introspection
 Architecture: any
 Multi-Arch: same

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libcloudproviders 0.3.2

=== debian/changelog ===
libcloudproviders (0.3.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ David Heidelberg ]
  * d/upstream/metadata: create
  * d/control: doesn't require root to build
  * d/control: fill Homepage
  * d/control: standard version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 11:09:04 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -15,9 +15,11 @@
                libglib2.0-dev (>= 2.52.0),
                meson (>= 0.42.0),
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
+Homepage: https://gitlab.gnome.org/World/libcloudproviders
 Vcs-Browser: https://salsa.debian.org/gnome-team/libcloudproviders
 Vcs-Git: https://salsa.debian.org/gnome-team/libcloudproviders.git
+Rules-Requires-Root: no
 
 Package: libcloudproviders0
 Architecture: any

## libcloudproviders 0.3.5

=== debian/changelog ===
libcloudproviders (0.3.5-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 11:11:11 -0500

libcloudproviders (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete package constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 10:25:11 -0400

## libcloudproviders 0.3.6

=== debian/changelog ===
libcloudproviders (0.3.6-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection. This is more multiarch-friendly.
  * d/control: Add B-D on gir1.2-glib-2.0-dev.
    This is pulled in by gir1.2-gio-2.0-dev (and in fact it's currently
    the same binary package), but explicit is better than implicit.
  * d/control, d/rules: Move gtk-doc-tools to Build-Depends-Indep.
    With Autotools this was needed at autoreconf time, but with Meson
    it's only needed when we are actually building documentation.
  * d/control: Drop Rules-Requires-Root: no.
    This is the default since trixie.
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Update debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:56:06 -0400

libcloudproviders (0.3.6-2) unstable; urgency=medium

  * Update gir Depends and Provides
  * Update Homepage
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Mar 2025 09:52:29 -0400

libcloudproviders (0.3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1067214)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 07:37:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libcloudproviders
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
-               gtk-doc-tools,
-               libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.52.0),
-               meson (>= 0.42.0),
+               gir1.2-glib-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
+               libglib2.0-dev,
+               meson,
                valac
-Standards-Version: 4.6.2
-Homepage: https://gitlab.gnome.org/World/libcloudproviders
+Build-Depends-Indep: gtk-doc-tools,
+Standards-Version: 4.7.2
+Homepage: https://gnome.pages.gitlab.gnome.org/libcloudproviders/
 Vcs-Browser: https://salsa.debian.org/gnome-team/libcloudproviders
 Vcs-Git: https://salsa.debian.org/gnome-team/libcloudproviders.git
-Rules-Requires-Root: no
 
 Package: libcloudproviders0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: cloud provider library
  libcloudproviders is a glib based library that makes it easier to implement
  a cloud provider server or client.
@@ -36,11 +32,11 @@
  services.
 
 Package: gir1.2-cloudproviders-0.3.0
-Provides: gir1.2-cloudproviders-0.3 (= ${binary:Version}),
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}
+Provides: ${gir:Provides}
 Description: cloud provider library - introspection data
  libcloudproviders is a glib based library that makes it easier to implement
  a cloud provider server or client.
@@ -57,10 +53,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-cloudproviders-0.3.0 (= ${binary:Version}),
-         ${misc:Depends},
-         libcloudproviders0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.52.0),
+Depends: libcloudproviders0 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libcloudproviders-doc
 Description: cloud provider library - development files
  libcloudproviders is a glib based library that makes it easier to implement

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

built_binaries := $(shell dh_listpackages)
configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Denable-gtk-doc=false
else
configure_flags += -Denable-gtk-doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libcloudproviders 0.4.0

=== meson_options.txt ===
option('installed-tests', type: 'boolean', value: false)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
option(
  'vapigen',
  type: 'boolean',
  value: true,
  description: 'Build Vala bindings',
)
option(
  'documentation',
  type: 'boolean',
  value: false,
  description: 'Generate the API reference for libcloudproviders',
)
option('enable-gtk-doc', type: 'boolean', value: false, deprecated: 'documentation')

=== debian/changelog ===
libcloudproviders (0.4.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Build with the native glib to improve cross building (Closes: #1126109)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Jan 2026 16:05:26 -0500

libcloudproviders (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Build docs with gi-docgen instead of gtk-doc-tools
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jan 2026 15:55:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcloudproviders
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -9,11 +8,11 @@
                gir1.2-glib-2.0-dev,
                gir1.2-gio-2.0-dev,
                gobject-introspection (>= 1.80),
-               libglib2.0-dev,
-               meson,
+               libglib2.0-dev:native,
+               meson (>= 1.9.0),
                valac
-Build-Depends-Indep: gtk-doc-tools,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnome.pages.gitlab.gnome.org/libcloudproviders/
 Vcs-Browser: https://salsa.debian.org/gnome-team/libcloudproviders
 Vcs-Git: https://salsa.debian.org/gnome-team/libcloudproviders.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocumentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)

# https://gitlab.gnome.org/GNOME/libcloudproviders/-/issues/29
override_dh_auto_test:
	dh_auto_test || true
